Installation error

Hello,

I'm having a problem installing rails on OS X 10.4.

I installed RubyGems 0.9.5 and when I use the command "gem install
rails --include-dependencies" I receive the following output:

INFO: `gem install -y` is now default and will be removed
INFO: use --ignore-dependencies to install only the gems you list
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: While executing gem ... (TypeError)
    cannot convert nil into Array

Web and newsgroup searches haven't returned much information.

Any ideas what the problem is?

Thanks.

Tried again after startup. Today's message was:

  Could not find rails (> 0) in any repository

This was more googlable than the other error, and revealed the
solution:

  gem cleanup
  sudo gem update

Then I was able to run the original rails install command
successfully.

Including here in case others encounter the same problem.